
package com.gridnine.xtrip.server.parsers.bronevik;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for BaseOffer complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="BaseOffer">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="name" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="roomId" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="cancellationPolicies" type="{soap.bronevik}HotelOfferCancellationPolicy" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="meals" type="{soap.bronevik}AvailableMeals" minOccurs="0"/>
 *         &lt;element name="freeRooms" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="paymentRecipient" type="{soap.bronevik}PaymentRecipients"/>
 *         &lt;element name="roomType" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="isSharedRoom" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="isBlockRoom" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="nonRefundable" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="rateType" type="{soap.bronevik}RateType" minOccurs="0"/>
 *         &lt;element name="guaranteeType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "BaseOffer", propOrder = {
    "name",
    "roomId",
    "cancellationPolicies",
    "meals",
    "freeRooms",
    "paymentRecipient",
    "roomType",
    "isSharedRoom",
    "isBlockRoom",
    "nonRefundable",
    "rateType",
    "guaranteeType"
})
@XmlSeeAlso({
    SearchAvailabilityHotelOffer.class,
    HotelOffer.class
})
public class BaseOffer {

    @XmlElement(required = true)
    protected String name;
    protected int roomId;
    protected List<HotelOfferCancellationPolicy> cancellationPolicies;
    protected AvailableMeals meals;
    protected Integer freeRooms;
    @XmlElement(required = true)
    protected PaymentRecipients paymentRecipient;
    @XmlElement(required = true)
    protected String roomType;
    protected boolean isSharedRoom;
    protected boolean isBlockRoom;
    protected boolean nonRefundable;
    protected RateType rateType;
    protected String guaranteeType;

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the roomId property.
     * 
     */
    public int getRoomId() {
        return roomId;
    }

    /**
     * Sets the value of the roomId property.
     * 
     */
    public void setRoomId(int value) {
        this.roomId = value;
    }

    /**
     * Gets the value of the cancellationPolicies property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the cancellationPolicies property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getCancellationPolicies().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link HotelOfferCancellationPolicy }
     * 
     * 
     */
    public List<HotelOfferCancellationPolicy> getCancellationPolicies() {
        if (cancellationPolicies == null) {
            cancellationPolicies = new ArrayList<HotelOfferCancellationPolicy>();
        }
        return this.cancellationPolicies;
    }

    /**
     * Gets the value of the meals property.
     * 
     * @return
     *     possible object is
     *     {@link AvailableMeals }
     *     
     */
    public AvailableMeals getMeals() {
        return meals;
    }

    /**
     * Sets the value of the meals property.
     * 
     * @param value
     *     allowed object is
     *     {@link AvailableMeals }
     *     
     */
    public void setMeals(AvailableMeals value) {
        this.meals = value;
    }

    /**
     * Gets the value of the freeRooms property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getFreeRooms() {
        return freeRooms;
    }

    /**
     * Sets the value of the freeRooms property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setFreeRooms(Integer value) {
        this.freeRooms = value;
    }

    /**
     * Gets the value of the paymentRecipient property.
     * 
     * @return
     *     possible object is
     *     {@link PaymentRecipients }
     *     
     */
    public PaymentRecipients getPaymentRecipient() {
        return paymentRecipient;
    }

    /**
     * Sets the value of the paymentRecipient property.
     * 
     * @param value
     *     allowed object is
     *     {@link PaymentRecipients }
     *     
     */
    public void setPaymentRecipient(PaymentRecipients value) {
        this.paymentRecipient = value;
    }

    /**
     * Gets the value of the roomType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRoomType() {
        return roomType;
    }

    /**
     * Sets the value of the roomType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRoomType(String value) {
        this.roomType = value;
    }

    /**
     * Gets the value of the isSharedRoom property.
     * 
     */
    public boolean isIsSharedRoom() {
        return isSharedRoom;
    }

    /**
     * Sets the value of the isSharedRoom property.
     * 
     */
    public void setIsSharedRoom(boolean value) {
        this.isSharedRoom = value;
    }

    /**
     * Gets the value of the isBlockRoom property.
     * 
     */
    public boolean isIsBlockRoom() {
        return isBlockRoom;
    }

    /**
     * Sets the value of the isBlockRoom property.
     * 
     */
    public void setIsBlockRoom(boolean value) {
        this.isBlockRoom = value;
    }

    /**
     * Gets the value of the nonRefundable property.
     * 
     */
    public boolean isNonRefundable() {
        return nonRefundable;
    }

    /**
     * Sets the value of the nonRefundable property.
     * 
     */
    public void setNonRefundable(boolean value) {
        this.nonRefundable = value;
    }

    /**
     * Gets the value of the rateType property.
     * 
     * @return
     *     possible object is
     *     {@link RateType }
     *     
     */
    public RateType getRateType() {
        return rateType;
    }

    /**
     * Sets the value of the rateType property.
     * 
     * @param value
     *     allowed object is
     *     {@link RateType }
     *     
     */
    public void setRateType(RateType value) {
        this.rateType = value;
    }

    /**
     * Gets the value of the guaranteeType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGuaranteeType() {
        return guaranteeType;
    }

    /**
     * Sets the value of the guaranteeType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGuaranteeType(String value) {
        this.guaranteeType = value;
    }

}
