
package com.gridnine.xtrip.server.parsers.bronevik;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * The offers search by the city
 * 
 * <p>Java class for SearchHotelOffersRequest complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SearchHotelOffersRequest">
 *   &lt;complexContent>
 *     &lt;extension base="{soap.bronevik}BaseRequest">
 *       &lt;sequence>
 *         &lt;element name="cityId" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="hotelIds" type="{soap.bronevik}HotelIds" minOccurs="0"/>
 *         &lt;element name="geolocation" type="{soap.bronevik}GeoLocation" minOccurs="0"/>
 *         &lt;element name="arrivalDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
 *         &lt;element name="departureDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
 *         &lt;element name="currency" type="{soap.bronevik}Currency"/>
 *         &lt;element name="searchCriteria" type="{soap.bronevik}SearchOfferCriterion" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="skipElements" type="{soap.bronevik}SkipElements" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SearchHotelOffersRequest", propOrder = {
    "cityId",
    "hotelIds",
    "geolocation",
    "arrivalDate",
    "departureDate",
    "currency",
    "searchCriteria",
    "skipElements"
})
public class SearchHotelOffersRequest
    extends BaseRequest
{

    protected Integer cityId;
    protected HotelIds hotelIds;
    protected GeoLocation geolocation;
    @XmlElement(required = true)
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar arrivalDate;
    @XmlElement(required = true)
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar departureDate;
    @XmlElement(required = true)
    protected String currency;
    protected List<SearchOfferCriterion> searchCriteria;
    protected SkipElements skipElements;

    /**
     * Gets the value of the cityId property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getCityId() {
        return cityId;
    }

    /**
     * Sets the value of the cityId property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setCityId(Integer value) {
        this.cityId = value;
    }

    /**
     * Gets the value of the hotelIds property.
     * 
     * @return
     *     possible object is
     *     {@link HotelIds }
     *     
     */
    public HotelIds getHotelIds() {
        return hotelIds;
    }

    /**
     * Sets the value of the hotelIds property.
     * 
     * @param value
     *     allowed object is
     *     {@link HotelIds }
     *     
     */
    public void setHotelIds(HotelIds value) {
        this.hotelIds = value;
    }

    /**
     * Gets the value of the geolocation property.
     * 
     * @return
     *     possible object is
     *     {@link GeoLocation }
     *     
     */
    public GeoLocation getGeolocation() {
        return geolocation;
    }

    /**
     * Sets the value of the geolocation property.
     * 
     * @param value
     *     allowed object is
     *     {@link GeoLocation }
     *     
     */
    public void setGeolocation(GeoLocation value) {
        this.geolocation = value;
    }

    /**
     * Gets the value of the arrivalDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getArrivalDate() {
        return arrivalDate;
    }

    /**
     * Sets the value of the arrivalDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setArrivalDate(XMLGregorianCalendar value) {
        this.arrivalDate = value;
    }

    /**
     * Gets the value of the departureDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getDepartureDate() {
        return departureDate;
    }

    /**
     * Sets the value of the departureDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setDepartureDate(XMLGregorianCalendar value) {
        this.departureDate = value;
    }

    /**
     * Gets the value of the currency property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCurrency() {
        return currency;
    }

    /**
     * Sets the value of the currency property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCurrency(String value) {
        this.currency = value;
    }

    /**
     * Gets the value of the searchCriteria property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the searchCriteria property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSearchCriteria().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SearchOfferCriterion }
     * 
     * 
     */
    public List<SearchOfferCriterion> getSearchCriteria() {
        if (searchCriteria == null) {
            searchCriteria = new ArrayList<SearchOfferCriterion>();
        }
        return this.searchCriteria;
    }

    /**
     * Gets the value of the skipElements property.
     * 
     * @return
     *     possible object is
     *     {@link SkipElements }
     *     
     */
    public SkipElements getSkipElements() {
        return skipElements;
    }

    /**
     * Sets the value of the skipElements property.
     * 
     * @param value
     *     allowed object is
     *     {@link SkipElements }
     *     
     */
    public void setSkipElements(SkipElements value) {
        this.skipElements = value;
    }

}
